mbed TLS v2.23.0

Macros
threading.h File Reference

Threading abstraction layer. More...

`#include "mbedtls/config.h"`
`#include <stdlib.h>`
Include dependency graph for threading.h:

Go to the source code of this file.

## Macros
#define | MBEDTLS_ERR_THREADING_FEATURE_UNAVAILABLE -0x001A
#define | MBEDTLS_ERR_THREADING_BAD_INPUT_DATA -0x001C
#define | MBEDTLS_ERR_THREADING_MUTEX_ERROR -0x001E

## Detailed Description

Threading abstraction layer.

Definition in file threading.h.

## Macro Definition Documentation

## ◆ MBEDTLS_ERR_THREADING_BAD_INPUT_DATA

#define MBEDTLS_ERR_THREADING_BAD_INPUT_DATA -0x001C

Bad input parameters to function.

Definition at line 44 of file threading.h.

## ◆ MBEDTLS_ERR_THREADING_FEATURE_UNAVAILABLE

#define MBEDTLS_ERR_THREADING_FEATURE_UNAVAILABLE -0x001A

The selected feature is not available.

Definition at line 42 of file threading.h.

## ◆ MBEDTLS_ERR_THREADING_MUTEX_ERROR

#define MBEDTLS_ERR_THREADING_MUTEX_ERROR -0x001E

Locking / unlocking / free failed with error code.

Definition at line 45 of file threading.h.